[workspace]
channels = ["conda-forge", "tango-controls/label/dev"]
platforms = ["linux-64", "osx-64", "osx-arm64", "win-64"]
name = "TangoDatabase"
requires-pixi = ">=0.55"

[dependencies]
cxx-compiler = "*"
cmake = ">=3.18"
ninja = "*"
cppzmq = "*"
cpptango = ">=9.3"
mysql-devel = ">=9.3.0,<10"

[target.unix.dependencies]
pkg-config = "*"

[feature.tango95.dependencies]
cpptango = "9.5.*"

[feature.tango100.dependencies]
cpptango = "10.0.*"

[feature.tangodev.dependencies]
cpptango = { version="10.3.*", channel="tango-controls/label/dev" }

[tasks]
_configure = "cmake $CMAKE_ARGS -GNinja -DCMAKE_BUILD_TYPE=Debug -DTANGO_WARNINGS_AS_ERRORS=ON -S . -B build/$PIXI_ENVIRONMENT_NAME"
build = { cmd = "cmake --build build/$PIXI_ENVIRONMENT_NAME", depends-on = ["_configure"] }
clean = "rm -rf build"

[environments]
tango95 = ["tango95"]
tango100 = ["tango100"]
tangodev = ["tangodev"]
